---
title: Create a Statuspage URL setting
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Statuspage Integration
---

# Create a Statuspage URL setting{% #create-a-statuspage-url-setting %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                                  |
| ----------------- | ----------------------------------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/integration/statuspage/url_settings |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/integration/statuspage/url_settings |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/integration/statuspage/url_settings      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/integration/statuspage/url_settings      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/integration/statuspage/url_settings  |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/integration/statuspage/url_settings     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/integration/statuspage/url_settings |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/integration/statuspage/url_settings |

### Overview

Create a Statuspage URL setting for your organization. This endpoint requires the `manage_integrations` permission.

### Request

#### Body Data (required)

Statuspage URL setting payload.

{% tab title="Model" %}

| Parent field | Field                         | Type   | Description                                                                                |
| ------------ | ----------------------------- | ------ | ------------------------------------------------------------------------------------------ |
|              | data [*required*]        | object | Statuspage URL setting data for a create request.                                          |
| data         | attributes [*required*]  | object | The Statuspage URL setting attributes for a create request.                                |
| attributes   | custom_tags [*required*] | string | Comma-separated list of custom tags to apply to events generated from this Statuspage URL. |
| attributes   | url [*required*]         | string | The Statuspage URL to monitor. Must be a `status.io` or `statuspage.com` URL.              |
| data         | type [*required*]        | enum   | Statuspage URL setting resource type. Allowed enum values: `statuspage-url-setting`        |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "custom_tags": "team:collaboration-integrations,env:prod",
      "url": "https://example.statuspage.io"
    },
    "type": "statuspage-url-setting"
  }
}
```

{% /tab %}

### Response

{% tab title="201" %}
CREATED
{% tab title="Model" %}
Response containing a Statuspage URL setting.

| Parent field | Field                        | Type   | Description                                                                               |
| ------------ | ---------------------------- | ------ | ----------------------------------------------------------------------------------------- |
|              | data [*required*]       | object | Statuspage URL setting data from a response.                                              |
| data         | attributes [*required*] | object | The attributes from a Statuspage URL setting response.                                    |
| attributes   | custom_tags                  | string | Comma-separated list of custom tags applied to events generated from this Statuspage URL. |
| attributes   | url                          | string | The Statuspage URL being monitored.                                                       |
| data         | id [*required*]         | string | The ID of the Statuspage URL setting.                                                     |
| data         | type [*required*]       | enum   | Statuspage URL setting resource type. Allowed enum values: `statuspage-url-setting`       |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "custom_tags": "team:collaboration-integrations,env:prod",
      "url": "https://example.statuspage.io"
    },
    "id": "596da4af-0563-4097-90ff-07230c3f9db3",
    "type": "statuspage-url-setting"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="409" %}
Conflict
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \## default
# 
 \# Curl command curl -X POST "https://api.datadoghq.com/api/v2/integration/statuspage/url_settings" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "custom_tags": "team:collaboration-integrations",
      "url": "https://example.statuspage.io"
    },
    "type": "statuspage-url-setting"
  }
}
EOF 
                
{% /tab %}
